diff --git a/src/backend/utils/sort/tuplesort.c b/src/backend/utils/sort/tuplesort.c
new file mode 100644
index 8e57505..2d15da0
*** a/src/backend/utils/sort/tuplesort.c
--- b/src/backend/utils/sort/tuplesort.c
*************** comparetup_index_btree(const SortTuple *
*** 3176,3184 ****
  					   Tuplesortstate *state)
  {
  	/*
! 	 * This is similar to _bt_tuplecompare(), but we have already done the
! 	 * index_getattr calls for the first column, and we need to keep track of
! 	 * whether any null fields are present.  Also see the special treatment
  	 * for equal keys at the end.
  	 */
  	ScanKey		scanKey = state->indexScanKey;
--- 3176,3183 ----
  					   Tuplesortstate *state)
  {
  	/*
! 	 * This is similar to comparetup_heap(), but expects index tuples.  There
! 	 * is also special handling for enforcing uniqueness, and special treatment
  	 * for equal keys at the end.
  	 */
  	ScanKey		scanKey = state->indexScanKey;
